
import type { DefineComponent, SlotsType } from 'vue'
type IslandComponent<T extends DefineComponent> = T & DefineComponent<{}, {refresh: () => Promise<void>}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, SlotsType<{ fallback: { error: unknown } }>>
interface _GlobalComponents {
      'AdvertisingBuyAD': typeof import("../components/advertising/BuyAD.vue")['default']
    'AdvertisingOrderList': typeof import("../components/advertising/OrderList.vue")['default']
    'DetailHotNews': typeof import("../components/detail/HotNews.vue")['default']
    'DetailHotNews2': typeof import("../components/detail/HotNews2.vue")['default']
    'GoodsDetail': typeof import("../components/goods/detail.vue")['default']
    'GoodsList': typeof import("../components/goods/list.vue")['default']
    'HomeAdvertising': typeof import("../components/home/Advertising.vue")['default']
    'HomeBigSwiper': typeof import("../components/home/BigSwiper.vue")['default']
    'HomeBigTitleList': typeof import("../components/home/BigTitle_List.vue")['default']
    'HomeMoreService': typeof import("../components/home/MoreService.vue")['default']
    'HomePageMessage': typeof import("../components/home/PageMessage.vue")['default']
    'HomePagination': typeof import("../components/home/Pagination.vue")['default']
    'HomePanel': typeof import("../components/home/Panel.vue")['default']
    'HomeSecondaryHeading': typeof import("../components/home/SecondaryHeading.vue")['default']
    'HomeSecondaryHeadingShukan': typeof import("../components/home/SecondaryHeading_shukan.vue")['default']
    'HomeSlider': typeof import("../components/home/Slider.vue")['default']
    'HomeTopTen': typeof import("../components/home/TopTen.vue")['default']
    'HomeFoot': typeof import("../components/home/foot.vue")['default']
    'HomePageHead': typeof import("../components/home/pageHead.vue")['default']
    'HomePageNavigation': typeof import("../components/home/pageNavigation.vue")['default']
    'NewsDetail': typeof import("../components/news/detail.vue")['default']
    'NewsList': typeof import("../components/news/list.vue")['default']
    'PageNavigation': typeof import("../components/pageNavigation.vue")['default']
    'ZoomCheliangchaxun': typeof import("../components/zoom/cheliangchaxun.vue")['default']
    'ZoomDiaoyanxuanti': typeof import("../components/zoom/diaoyanxuanti.vue")['default']
    'ZoomDishizhongxin': typeof import("../components/zoom/dishizhongxin.vue")['default']
    'ZoomJieshaoxinchaxun': typeof import("../components/zoom/jieshaoxinchaxun.vue")['default']
    'ZoomRenyuanchaxun': typeof import("../components/zoom/renyuanchaxun.vue")['default']
    'NuxtWelcome': typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
    'NuxtLayout': typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
    'NuxtErrorBoundary': typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
    'ClientOnly': typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
    'DevOnly': typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
    'ServerPlaceholder': typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
    'NuxtLink': typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
    'NuxtLoadingIndicator': typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
    'NuxtRouteAnnouncer': typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
    'NuxtImg': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
    'NuxtPicture': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
    'NuxtPage': typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
    'NoScript': typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
    'Link': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
    'Base': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
    'Title': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
    'Meta': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
    'Style': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
    'Head': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
    'Html': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
    'Body': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
    'NuxtIsland': typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
    'NuxtRouteAnnouncer': IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
      'LazyAdvertisingBuyAD': typeof import("../components/advertising/BuyAD.vue")['default']
    'LazyAdvertisingOrderList': typeof import("../components/advertising/OrderList.vue")['default']
    'LazyDetailHotNews': typeof import("../components/detail/HotNews.vue")['default']
    'LazyDetailHotNews2': typeof import("../components/detail/HotNews2.vue")['default']
    'LazyGoodsDetail': typeof import("../components/goods/detail.vue")['default']
    'LazyGoodsList': typeof import("../components/goods/list.vue")['default']
    'LazyHomeAdvertising': typeof import("../components/home/Advertising.vue")['default']
    'LazyHomeBigSwiper': typeof import("../components/home/BigSwiper.vue")['default']
    'LazyHomeBigTitleList': typeof import("../components/home/BigTitle_List.vue")['default']
    'LazyHomeMoreService': typeof import("../components/home/MoreService.vue")['default']
    'LazyHomePageMessage': typeof import("../components/home/PageMessage.vue")['default']
    'LazyHomePagination': typeof import("../components/home/Pagination.vue")['default']
    'LazyHomePanel': typeof import("../components/home/Panel.vue")['default']
    'LazyHomeSecondaryHeading': typeof import("../components/home/SecondaryHeading.vue")['default']
    'LazyHomeSecondaryHeadingShukan': typeof import("../components/home/SecondaryHeading_shukan.vue")['default']
    'LazyHomeSlider': typeof import("../components/home/Slider.vue")['default']
    'LazyHomeTopTen': typeof import("../components/home/TopTen.vue")['default']
    'LazyHomeFoot': typeof import("../components/home/foot.vue")['default']
    'LazyHomePageHead': typeof import("../components/home/pageHead.vue")['default']
    'LazyHomePageNavigation': typeof import("../components/home/pageNavigation.vue")['default']
    'LazyNewsDetail': typeof import("../components/news/detail.vue")['default']
    'LazyNewsList': typeof import("../components/news/list.vue")['default']
    'LazyPageNavigation': typeof import("../components/pageNavigation.vue")['default']
    'LazyZoomCheliangchaxun': typeof import("../components/zoom/cheliangchaxun.vue")['default']
    'LazyZoomDiaoyanxuanti': typeof import("../components/zoom/diaoyanxuanti.vue")['default']
    'LazyZoomDishizhongxin': typeof import("../components/zoom/dishizhongxin.vue")['default']
    'LazyZoomJieshaoxinchaxun': typeof import("../components/zoom/jieshaoxinchaxun.vue")['default']
    'LazyZoomRenyuanchaxun': typeof import("../components/zoom/renyuanchaxun.vue")['default']
    'LazyNuxtWelcome': typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
    'LazyNuxtLayout': typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
    'LazyNuxtErrorBoundary': typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
    'LazyClientOnly': typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
    'LazyDevOnly': typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
    'LazyServerPlaceholder': typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
    'LazyNuxtLink': typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
    'LazyNuxtLoadingIndicator': typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
    'LazyNuxtRouteAnnouncer': typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
    'LazyNuxtImg': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
    'LazyNuxtPicture': typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
    'LazyNuxtPage': typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
    'LazyNoScript': typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
    'LazyLink': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
    'LazyBase': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
    'LazyTitle': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
    'LazyMeta': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
    'LazyStyle': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
    'LazyHead': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
    'LazyHtml': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
    'LazyBody': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
    'LazyNuxtIsland': typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
    'LazyNuxtRouteAnnouncer': IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
}

declare module 'vue' {
  export interface GlobalComponents extends _GlobalComponents { }
}

export const AdvertisingBuyAD: typeof import("../components/advertising/BuyAD.vue")['default']
export const AdvertisingOrderList: typeof import("../components/advertising/OrderList.vue")['default']
export const DetailHotNews: typeof import("../components/detail/HotNews.vue")['default']
export const DetailHotNews2: typeof import("../components/detail/HotNews2.vue")['default']
export const GoodsDetail: typeof import("../components/goods/detail.vue")['default']
export const GoodsList: typeof import("../components/goods/list.vue")['default']
export const HomeAdvertising: typeof import("../components/home/Advertising.vue")['default']
export const HomeBigSwiper: typeof import("../components/home/BigSwiper.vue")['default']
export const HomeBigTitleList: typeof import("../components/home/BigTitle_List.vue")['default']
export const HomeMoreService: typeof import("../components/home/MoreService.vue")['default']
export const HomePageMessage: typeof import("../components/home/PageMessage.vue")['default']
export const HomePagination: typeof import("../components/home/Pagination.vue")['default']
export const HomePanel: typeof import("../components/home/Panel.vue")['default']
export const HomeSecondaryHeading: typeof import("../components/home/SecondaryHeading.vue")['default']
export const HomeSecondaryHeadingShukan: typeof import("../components/home/SecondaryHeading_shukan.vue")['default']
export const HomeSlider: typeof import("../components/home/Slider.vue")['default']
export const HomeTopTen: typeof import("../components/home/TopTen.vue")['default']
export const HomeFoot: typeof import("../components/home/foot.vue")['default']
export const HomePageHead: typeof import("../components/home/pageHead.vue")['default']
export const HomePageNavigation: typeof import("../components/home/pageNavigation.vue")['default']
export const NewsDetail: typeof import("../components/news/detail.vue")['default']
export const NewsList: typeof import("../components/news/list.vue")['default']
export const PageNavigation: typeof import("../components/pageNavigation.vue")['default']
export const ZoomCheliangchaxun: typeof import("../components/zoom/cheliangchaxun.vue")['default']
export const ZoomDiaoyanxuanti: typeof import("../components/zoom/diaoyanxuanti.vue")['default']
export const ZoomDishizhongxin: typeof import("../components/zoom/dishizhongxin.vue")['default']
export const ZoomJieshaoxinchaxun: typeof import("../components/zoom/jieshaoxinchaxun.vue")['default']
export const ZoomRenyuanchaxun: typeof import("../components/zoom/renyuanchaxun.vue")['default']
export const NuxtWelcome: typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
export const NuxtLayout: typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
export const NuxtErrorBoundary: typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
export const ClientOnly: typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
export const DevOnly: typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
export const ServerPlaceholder: typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
export const NuxtLink: typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
export const NuxtLoadingIndicator: typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
export const NuxtRouteAnnouncer: typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
export const NuxtImg: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
export const NuxtPicture: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
export const NuxtPage: typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
export const NoScript: typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
export const Link: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
export const Base: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
export const Title: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
export const Meta: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
export const Style: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
export const Head: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
export const Html: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
export const Body: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
export const NuxtIsland: typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
export const NuxtRouteAnnouncer: IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
export const LazyAdvertisingBuyAD: typeof import("../components/advertising/BuyAD.vue")['default']
export const LazyAdvertisingOrderList: typeof import("../components/advertising/OrderList.vue")['default']
export const LazyDetailHotNews: typeof import("../components/detail/HotNews.vue")['default']
export const LazyDetailHotNews2: typeof import("../components/detail/HotNews2.vue")['default']
export const LazyGoodsDetail: typeof import("../components/goods/detail.vue")['default']
export const LazyGoodsList: typeof import("../components/goods/list.vue")['default']
export const LazyHomeAdvertising: typeof import("../components/home/Advertising.vue")['default']
export const LazyHomeBigSwiper: typeof import("../components/home/BigSwiper.vue")['default']
export const LazyHomeBigTitleList: typeof import("../components/home/BigTitle_List.vue")['default']
export const LazyHomeMoreService: typeof import("../components/home/MoreService.vue")['default']
export const LazyHomePageMessage: typeof import("../components/home/PageMessage.vue")['default']
export const LazyHomePagination: typeof import("../components/home/Pagination.vue")['default']
export const LazyHomePanel: typeof import("../components/home/Panel.vue")['default']
export const LazyHomeSecondaryHeading: typeof import("../components/home/SecondaryHeading.vue")['default']
export const LazyHomeSecondaryHeadingShukan: typeof import("../components/home/SecondaryHeading_shukan.vue")['default']
export const LazyHomeSlider: typeof import("../components/home/Slider.vue")['default']
export const LazyHomeTopTen: typeof import("../components/home/TopTen.vue")['default']
export const LazyHomeFoot: typeof import("../components/home/foot.vue")['default']
export const LazyHomePageHead: typeof import("../components/home/pageHead.vue")['default']
export const LazyHomePageNavigation: typeof import("../components/home/pageNavigation.vue")['default']
export const LazyNewsDetail: typeof import("../components/news/detail.vue")['default']
export const LazyNewsList: typeof import("../components/news/list.vue")['default']
export const LazyPageNavigation: typeof import("../components/pageNavigation.vue")['default']
export const LazyZoomCheliangchaxun: typeof import("../components/zoom/cheliangchaxun.vue")['default']
export const LazyZoomDiaoyanxuanti: typeof import("../components/zoom/diaoyanxuanti.vue")['default']
export const LazyZoomDishizhongxin: typeof import("../components/zoom/dishizhongxin.vue")['default']
export const LazyZoomJieshaoxinchaxun: typeof import("../components/zoom/jieshaoxinchaxun.vue")['default']
export const LazyZoomRenyuanchaxun: typeof import("../components/zoom/renyuanchaxun.vue")['default']
export const LazyNuxtWelcome: typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
export const LazyNuxtLayout: typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
export const LazyNuxtErrorBoundary: typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
export const LazyClientOnly: typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
export const LazyDevOnly: typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
export const LazyServerPlaceholder: typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
export const LazyNuxtLink: typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
export const LazyNuxtLoadingIndicator: typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
export const LazyNuxtRouteAnnouncer: typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
export const LazyNuxtImg: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtImg']
export const LazyNuxtPicture: typeof import("../node_modules/nuxt/dist/app/components/nuxt-stubs")['NuxtPicture']
export const LazyNuxtPage: typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
export const LazyNoScript: typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
export const LazyLink: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
export const LazyBase: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
export const LazyTitle: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
export const LazyMeta: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
export const LazyStyle: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
export const LazyHead: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
export const LazyHtml: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
export const LazyBody: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
export const LazyNuxtIsland: typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
export const LazyNuxtRouteAnnouncer: IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>

export const componentNames: string[]
